#ifndef E_MOD_MAIN_H
#define E_MOD_MAIN_H

typedef struct _Config       Config;

struct _Config
{
   /* saved * loaded config values */
   double      poll_time;
   int         resize;
   const char *line1_format;
   const char *line2_format;
   const char *line3_format;
   const char *hostname;
   const char *passwd;
   int         port;

   /* just config state */
   E_Module        *module;
   E_Config_Dialog *config_dialog;
   E_Menu          *menu;
};


EAPI extern E_Module_Api e_modapi;

EAPI void *e_modapi_init(E_Module *m);
EAPI int   e_modapi_shutdown(E_Module *m);
EAPI int   e_modapi_save(E_Module *m);
EAPI int   e_modapi_about(E_Module *m);

void _config_isound_module(void);
void _isound_config_updated(void);

extern Config *isound_config;

#endif
